# Type Alias RouteAction

RouteAction: (
table_id: number | undefined | null,
viewname: string,
optsOne: any,
body: any,
optsTwo: ReqRes,
queries: any,
) => Promise<any>

#### Type Declaration

- - (
    table_id: number | undefined | null,
    viewname: string,
    optsOne: any,
    body: any,
    optsTwo: ReqRes,
    queries: any,
    ): Promise<any>

  - #### Parameters

    - table_id: number | undefined | null
    - viewname: string
    - optsOne: any
    - body: any
    - optsTwo: ReqRes
    - queries: any

    #### Returns Promise<any>

- Defined in base_types.ts:361